{# Allows the DOCTYPE to be set on a page by page basis #}
{%- block doctype %}<!DOCTYPE html>{% endblock -%}

{# Allows custom attributes to be added to the <html> tag #}
{%- block htmltag -%}
    {% set lang = h.lang() %}
    <!--[if IE 7]> <html lang="{{ lang }}" class="ie ie7"> <![endif]-->
    <!--[if IE 8]> <html lang="{{ lang }}" class="ie ie8"> <![endif]-->
    <!--[if IE 9]> <html lang="{{ lang }}" class="ie9"> <![endif]-->
    <!--[if gt IE 8]><!--> <html lang="{{ lang }}"> <!--<![endif]-->
{%- endblock -%}

{# Allows custom attributes to be added to the <head> tag #}
<head{% block headtag %}{% endblock %}>
    {#
    Add custom meta tags to the page. Call super() to get the default tags
    such as charset, viewport and generator.

    Example:

    {% block meta %}
      {{ super() }}
      <meta name="description" value="My website description" />
    {% endblock %}

    #}
    {%- block meta -%}
        <meta charset="utf-8" />
        {% block meta_generator %}<meta name="generator" content="ckan {{ c.__version__ }}" />{% endblock %}
        {% block meta_viewport %}<meta name="viewport" content="width=device-width, initial-scale=1.0">{% endblock %}
    {%- endblock -%}

    {#
    Add a custom title to the page by extending the title block. Call super()
    to get the default page title.

    Example:

      {% block title %}My Subtitle - {{ super() }}{% endblock %}

    #}
    <title>
        {%- block title -%}
            {%- block subtitle %}{% endblock -%}
            {%- if self.subtitle()|trim %} {{ g.template_title_deliminater }} {% endif -%}
            {{ g.site_title }}
        {%- endblock -%}
    </title>

    {#
    The links block allows you to add additonal content before the stylesheets
    such as rss feeds and favicons in the same way as the meta block.
    #}
    {% block links -%}
        <link rel="shortcut icon" href="{{ g.favicon }}" />
    {% endblock -%}


</head>

{# Allows custom attributes to be added to the <body> tag #}
<body{% block bodytag %} data-site-root="{{ h.url('/', locale='default', qualified=true) }}" data-locale-root="{{ h.url('/', qualified=true) }}" {% endblock %}>

{#
    The page block allows you to add content to the page. Most of the time it is
    recommended that you extend one of the page.html templates in order to get
    the site header and footer. If you need a clean page then this is the
    block to use.

    Example:

      {% block page %}
        <div>Some other page content</div>
      {% endblock %}
    #}
{%- block page %}
    {% set res = c.resource %}

    <h3>{{ _('Visualisation is loading ...') }}</h3>
    <p>

        <a href="#" id="preview-button" class="file-preview"
           data-file="{{ res.url }}">{{ _('If Visusalisation does not load within some seconds click here.') }}</a>
    </p>


{% endblock -%}


<script id="vt_initializor" src="{{ c.client_url }}/javascripts/require.js"
        data-preprocessor-url="{{ c.server_url }}" data-main="{{ c.client_url }}/javascripts/main" async> </script>


<link rel="stylesheet" type="text/css" href="{{ h.url_for_static('/visualization.css') }}" />
</body>
</html>
